package com.ematou.wxservice.entity.pojo;

import java.sql.Timestamp;

/**
 * 公众号需要的素材
 *
 * @author zhushouping
 * @since 1.0.0
 * @date 2023/8/15
 */
public class Material {

    private Integer id; //本地存储的唯一ID

    private String mediaId; //上传公众号返回的ID

    private String fileName; // 文件名
    private Long fileSize; // 文件大小
    private String filePath; // 文件目录

    private String fileType; //文件类型

    private Integer creatorId;
    private String createTime;
    private Integer moderId;
    private String modTime;
    private Timestamp tmst;

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getMediaId() {
        return mediaId;
    }

    public void setMediaId(String mediaId) {
        this.mediaId = mediaId;
    }

    public String getFileName() {
        return fileName;
    }

    public void setFileName(String fileName) {
        this.fileName = fileName;
    }

    public Long getFileSize() {
        return fileSize;
    }

    public void setFileSize(Long fileSize) {
        this.fileSize = fileSize;
    }

    public String getFilePath() {
        return filePath;
    }

    public void setFilePath(String filePath) {
        this.filePath = filePath;
    }

    public String getFileType() {
        return fileType;
    }

    public void setFileType(String fileType) {
        this.fileType = fileType;
    }

    public Integer getCreatorId() {
        return creatorId;
    }

    public void setCreatorId(Integer creatorId) {
        this.creatorId = creatorId;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }

    public Integer getModerId() {
        return moderId;
    }

    public void setModerId(Integer moderId) {
        this.moderId = moderId;
    }

    public String getModTime() {
        return modTime;
    }

    public void setModTime(String modTime) {
        this.modTime = modTime;
    }

    public Timestamp getTmst() {
        return tmst;
    }

    public void setTmst(Timestamp tmst) {
        this.tmst = tmst;
    }
}
